%ifnarch %{ocaml_native_compiler}
%global debug_package %{nil}
%endif

# comment out if not a CVS snapshot
%define cvs     cvs13

Name:           ocamlfuse
Version:        2.7.1
Release:        %mkrel %{?cvs:15.%cvs.}1
Summary:        Ocaml FUSE binding
Group:          Development/OCaml
License:        GPLv2
Url:            https://github.com/astrada/ocamlfuse/
Source0:        https://github.com/astrada/ocamlfuse/archive/v%{version}%{?cvs:_%cvs}/%{name}-%{version}%{?cvs:_%cvs}.tar.gz
BuildRequires:  pkgconfig(fuse)
BuildRequires:  ocaml
BuildRequires:  ocaml-camlidl-devel
BuildRequires:  ocaml-findlib
BuildRequires:  ocaml-dune-devel
BuildRequires:  ocaml-dune-configurator-devel
BuildRequires:  opam
BuildRequires:  perl

Provides:       ocaml-fuse = %{version}-%{release}

%description
This is a binding to fuse for the ocaml programming language, enabling
you to write multithreaded filesystems in the ocaml language. It has
been designed with simplicity as a goal, as you can see by looking at
example/fusexmp.ml. Efficiency has also been a separate goal. The
Bigarray library is used for read and writes, allowing the library to
do zero-copy in ocaml land.

%package        devel
Summary:        Development files for %{name}
Group:          Development/OCaml
Requires:       %{name} >= %{version}-%{release}
Provides:       ocaml-fuse-devel = %{version}-%{release}

%description devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%prep
%autosetup -p1 -n %{name}-%{version}%{?cvs:_%cvs}

%build
%dune_build

%install
%dune_install

%files -f .ofiles
%doc README.md
%license LICENSE

%files devel  -f .ofiles-devel
%doc README.md
%license LICENSE


%changelog
* Sat Jun 21 2025 daviddavid <daviddavid> 2.7.1-15.cvs13.1.mga10
+ Revision: 2193468
- new version 2.7.1_cvs13

* Thu Nov 21 2024 ns80 <ns80> 2.7.1-15.cvs7.2.mga10
+ Revision: 2118019
- try to fix building with GCC 14
- revert to previous version
- try to use dune 3.4
- new version 2.7.1_cvs11

* Tue Jan 10 2023 daviddavid <daviddavid> 2.7.1-15.cvs7.1.mga9
+ Revision: 1932190
- show the CVS snapshot in the release tag

* Tue Jan 10 2023 daviddavid <daviddavid> 2.7.1-14.mga9
+ Revision: 1932175
- says hello ocamlfuse-devel pkg
- update to latest -cvs7 with dune support

* Thu May 19 2022 pterjan <pterjan> 2.7.1-13.mga9
+ Revision: 1858896
- Rebuild for OCaml 4.14

* Tue Mar 29 2022 umeabot <umeabot> 2.7.1-12.mga9
+ Revision: 1832458
- Mageia 9 Mass Rebuild

* Tue Oct 12 2021 tv <tv> 2.7.1-11.mga9
+ Revision: 1750785
- Rebuild for ocaml 4.13.1

* Wed Mar 03 2021 tv <tv> 2.7.1-10.mga9
+ Revision: 1697188
- rebuild for ocaml-4.2-12

* Wed Mar 03 2021 tv <tv> 2.7.1-9.mga9
+ Revision: 1696614
- rebuild for ocaml-4.2-12

* Fri Feb 28 2020 umeabot <umeabot> 2.7.1-8.mga8
+ Revision: 1551355
- Rebuild for ocaml 4.10.0 final

* Wed Feb 19 2020 umeabot <umeabot> 2.7.1-7.mga8
+ Revision: 1543465
- Mageia 8 Mass Rebuild

* Tue Oct 23 2018 pterjan <pterjan> 2.7.1-6.mga8
+ Revision: 1324398
- Rebuild for ocaml 4.07.1

* Sun Sep 23 2018 umeabot <umeabot> 2.7.1-5.mga7
+ Revision: 1299872
- Mageia 7 Mass Rebuild

* Mon Jul 30 2018 joequant <joequant> 2.7.1-4.mga7
+ Revision: 1245907
- upgrade version

* Sun Nov 26 2017 tv <tv> 2.7.1-3.mga7
+ Revision: 1179513
- rebuild for new ocaml

* Fri Oct 06 2017 daviddavid <daviddavid> 2.7.1-2.mga7
+ Revision: 1169735
- enable debugging information thus fixing empty debugsourcefiles.list

* Sun Oct 23 2016 joequant <joequant> 2.7.1-1.mga6
+ Revision: 1063264
- spec tweaks
- imported package ocamlfuse

